#ifndef __PLANET__
#define __PLANET__

#include <stdlib.h>

#include "Vec3f.h"

class Material;
class TextureObject;
class Sphere;

class Planet
{
public:

	Planet(Vec3f position, float radius);

	virtual ~Planet();

	void update();
	void render();


protected:

	Vec3f position;
	float radius;

	Material* mat;
	TextureObject* tex;
	TextureObject* clouds;
	
	Sphere* geo;

	float rotAngle;



};

#endif __PLANET__